## camel-mime-part-utils

camel-mime-part-utils

## Functions

gboolean | camel_mime_part_construct_content_from_parser ()
gboolean | (*CamelMessageContentInfoTraverseCallback) ()
CamelMessageContentInfo * | camel_message_content_info_new ()
CamelMessageContentInfo * | camel_message_content_info_copy ()
void | camel_message_content_info_free ()
CamelMessageContentInfo * | camel_message_content_info_new_from_headers ()
CamelMessageContentInfo * | camel_message_content_info_new_from_parser ()
CamelMessageContentInfo * | camel_message_content_info_new_from_message ()
gboolean | camel_message_content_info_traverse ()
void | camel_message_content_info_dump ()

## Object Hierarchy

        GBoxed
        ╰── CamelMessageContentInfo

## Description

## Functions

### camel_mime_part_construct_content_from_parser ()

    gboolean
    camel_mime_part_construct_content_from_parser
                                   (CamelMimePart *mime_part,
                                    CamelMimeParser *mp,
                                    GCancellable *cancellable,
                                    GError **error);

Constructs the contnet of `mime_part` from the given mime parser.

#### Parameters

mime_part | a CamelMimePart |
mp | a CamelMimeParser |
cancellable | optional GCancellable object, or `NULL` |
error | return location for a GError, or `NULL` |

#### Returns

whether succeeded

Since: 2.24

### CamelMessageContentInfoTraverseCallback ()

    gboolean
    (*CamelMessageContentInfoTraverseCallback)
                                   (CamelMessageContentInfo *ci,
                                    gint depth,
                                    gpointer user_data);

This is the callback signature for `camel_message_content_info_traverse()`.

#### Parameters

ci | a CamelMessageContentInfo |
depth | the current depth |
user_data | data passed to `camel_message_content_info_traverse()` |

#### Returns

`TRUE` to continue processing or `FALSE` to stop it.

Since: 3.36

### camel_message_content_info_new ()

    CamelMessageContentInfo *
    camel_message_content_info_new (void);

Allocate a new CamelMessageContentInfo.

#### Returns

a newly allocated CamelMessageContentInfo.

[transfer full]

### camel_message_content_info_copy ()

    CamelMessageContentInfo *
    camel_message_content_info_copy (const CamelMessageContentInfo *src);

#### Parameters

src | a source CamelMessageContentInfo to copy. | [nullable]

#### Returns

a copy of `src` , or `NULL`, if `src` was `NULL`.

[nullable]

Since: 3.24

### camel_message_content_info_free ()

    void
    camel_message_content_info_free (CamelMessageContentInfo *ci);

Recursively frees the content info `ci` , and all associated memory.

#### Parameters

ci | a CamelMessageContentInfo |

### camel_message_content_info_new_from_headers ()

    CamelMessageContentInfo *
    camel_message_content_info_new_from_headers
                                   (const CamelNameValueArray *headers);

### camel_message_content_info_new_from_parser ()

    CamelMessageContentInfo *
    camel_message_content_info_new_from_parser
                                   (CamelMimeParser *parser);

### camel_message_content_info_new_from_message ()

    CamelMessageContentInfo *
    camel_message_content_info_new_from_message
                                   (CamelMimePart *mime_part);

### camel_message_content_info_traverse ()

    gboolean
    camel_message_content_info_traverse (CamelMessageContentInfo *ci,
                                         CamelMessageContentInfoTraverseCallback func,
                                         gpointer user_data);

Calls the `func` for each CamelMessageContentInfo, including the top one. The `func` can return `TRUE` to continue processing or `FALSE` to stop it.

#### Parameters

ci | a CamelMessageContentInfo |
func | a CamelMessageContentInfoTraverseCallback. | [scope call]
user_data | user data passed to `func` |

#### Returns

`FALSE` on error or when the `func` returned `FALSE`, otherwise `TRUE`

### camel_message_content_info_dump ()

    void
    camel_message_content_info_dump (CamelMessageContentInfo *ci,
                                     gint depth);